Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SharedSender< T > Class Template Reference

This class implements a sender for sound data. More...

`#include <SharedSender.h>`

Inheritance diagram for SharedSender< T >:

[legend]
Collaboration diagram for SharedSender< T >:

[legend]
List of all members.

## Public Member Functions
| SharedSender (PlatformProcess *process, const char *senderName, bool blocking)
| The constructor.
| ~SharedSender ()
| Destructor.
T & | getShared ()
| The function returns a reference to the shared object.
const T & | getShared () const
| The function returns a constant reference to the shared object.
## Protected Member Functions
void | preparePackage ()
| No preparation.
void | setPackage (const ObserverID &receiver)
| The functions sets a package for a receiver.
void | freePackage ()
| The function does not free the package.
## Private Attributes
RCRegion * | package
| The shared memory.

## Detailed Description

### template<class T>
class SharedSender< T >

This class implements a sender for sound data.

Definition at line 17 of file SharedSender.h.

## Constructor & Destructor Documentation

template<class T>
SharedSender< T >::SharedSender | ( | PlatformProcess * | process,
|  | const char * | senderName,
|  | bool | blocking
| ) | `[inline]`

  | The constructor. Parameters:
  process | The process this sender is associated with.
  senderName | The Aperios connection name of the sender without the process name.
  blocking | Decides whether this sender blocks the execution of the next frame until all connected receivers have requested a new package.
Definition at line 52 of file SharedSender.h. References SharedSender< T >::getShared().

Here is the call graph for this function:

template<class T>
SharedSender< T >::~SharedSender | ( |  | ) | `[inline]`

| Destructor. Definition at line 62 of file SharedSender.h.

## Member Function Documentation

template<class T>
void SharedSender< T >::preparePackage | ( |  | ) | `[inline, protected, virtual]`

| No preparation. Reimplemented from SenderBase< T >. Definition at line 26 of file SharedSender.h.

template<class T>
void SharedSender< T >::setPackage | ( | const ObserverID & | receiver | ) | `[inline, protected, virtual]`

  | The functions sets a package for a receiver. Parameters:
  receiver | The receive the package will be sent to.
Reimplemented from SenderBase< T >. Definition at line 32 of file SharedSender.h. References VERIFY.

template<class T>
void SharedSender< T >::freePackage | ( |  | ) | `[inline, protected, virtual]`

| The function does not free the package. It is only freed in the destructor. Reimplemented from SenderBase< T >. Definition at line 42 of file SharedSender.h.

template<class T>
T& SharedSender< T >::getShared | ( |  | ) | `[inline]`

| The function returns a reference to the shared object. Returns: A reference to the shared object. Definition at line 71 of file SharedSender.h. Referenced by SharedSender< T >::SharedSender().

template<class T>
const T& SharedSender< T >::getShared | ( |  | ) | const`[inline]`

| The function returns a constant reference to the shared object. Returns: A constant reference to the shared object. Definition at line 77 of file SharedSender.h.

## Member Data Documentation

template<class T>
RCRegion* SharedSender< T >::package`[private]`

| The shared memory. Definition at line 20 of file SharedSender.h.

The documentation for this class was generated from the following file:

- Platform/Aperios1.3.2/SharedSender.h